{% extends "base.html" %}

{% block title %}STRAP - App not found{% endblock %}
{% load static %}
{% block static %}
  <link rel="stylesheet" type="text/css" href="{% static 'style/landings/default_strap.css' %}">
{% endblock %}

{% block content %}
  <main class="container">
    <div class="d-flex flex-column justify-content-center align-items-center min-h-90vh text-center">
      <img src="{% static 'img/hamster_on_rocket.webp' %}" class="w-full" alt="Detective Hamster" width="600" height="600">
      <h5 class="mt-3">Oops! This app has not been created on STRAP</h5>
      <p class="fw-light">Redirecting to Strapper main page for the list of currently active apps in <span id="countdown" class="fw-semibold">10</span> seconds ...</p>
    </div>
  </main>

  <script>
    // Redirect to Strapper main page after 10 seconds
    let countdown = 10;
    let countdownElement = $('#countdown');
    let countdownInterval = setInterval(() => {
      countdown--;
      countdownElement.text(countdown);
      if (countdown === 0) {
        clearInterval(countdownInterval);
        window.location.href = `https://strapper.${$("#strap-domain").val()}`;
      }
    }, 1000);
  </script>
{% endblock %}
